ClientPluginDeployer.PluginFile (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ClientPluginDeployer.PluginFile class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ClientPluginDeployer.PluginFile

    java.lang.Object
      java.io.File
          org.hyperic.hq.product.ClientPluginDeployer.PluginFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

Enclosing class:
  ClientPluginDeployer

    public class ClientPluginDeployer.PluginFile

extends java.io.File

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`ClientPluginDeployer.PluginFile(java.io.File parent, java.lang.String child)`
`ClientPluginDeployer.PluginFile(java.lang.String pathname)`
`ClientPluginDeployer.PluginFile(java.lang.String parent, java.lang.String child)`

Method Summary

Methods inherited from class java.io.File
`canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getName, getParent, getParentFile, getPath, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setLastModified, setReadOnly, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(java.lang.String pathname)

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(java.io.File parent,
                                           java.lang.String child)

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(java.lang.String parent,
                                           java.lang.String child)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.